Bug 1420746 - Incorrect ordering of boot menu entries generated by grubby
Summary: Incorrect ordering of boot menu entries generated by grubby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grubby
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: rmarshall
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1285601
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 12:59 UTC by Jaroslav Reznik
Modified: 2020-07-16 09:12 UTC (History)
16 users (show)

Fixed In Version: grubby-8.28-13.el7_1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1285601
Environment:
Last Closed: 2017-03-28 19:58:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
grub.cfg before installing new kernel (3.81 KB, text/plain)
2017-02-28 11:30 UTC, Jan Stodola
no flags Details
grub.cfg after installing new kernel (5.44 KB, text/plain)
2017-02-28 11:31 UTC, Jan Stodola
no flags Details
/var/log/grubby (2.53 KB, text/plain)
2017-02-28 16:35 UTC, Jan Stodola
no flags Details
/var/log/grubby_prune_debug (296 bytes, text/plain)
2017-02-28 16:36 UTC, Jan Stodola
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0846 normal SHIPPED_LIVE grubby bug fix update 2017-03-28 23:57:51 UTC

Description Jaroslav Reznik 2017-02-09 12:59:29 UTC
This bug has been copied from bug #1285601 and has been proposed
to be backported to 7.1 z-stream (EUS).

Comment 9 Jan Stodola 2017-02-28 11:29:36 UTC
Robert,
retested with grubby-8.28-12.el7_1.x86_64 on RHEL-7.1, but the problem with "systemd.debug" being added to non-debug boot entries is still present. I will attach grub.cfg before and after installing a new kernel package.
MAKEDEBUG=yes was set in /etc/sysconfig/kernel

Moving to ASSIGNED.

Comment 10 Jan Stodola 2017-02-28 11:30:56 UTC
Created attachment 1258336 [details]
grub.cfg before installing new kernel

Comment 11 Jan Stodola 2017-02-28 11:31:27 UTC
Created attachment 1258337 [details]
grub.cfg after installing new kernel

Comment 14 Jan Stodola 2017-02-28 16:35:55 UTC
Created attachment 1258432 [details]
/var/log/grubby

Attaching requested files

Comment 15 Jan Stodola 2017-02-28 16:36:22 UTC
Created attachment 1258433 [details]
/var/log/grubby_prune_debug

Comment 21 errata-xmlrpc 2017-03-28 19:58:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0846.html


Note You need to log in before you can comment on or make changes to this bug.